%global base_name exec
%global short_name commons-%{base_name}

Summary:        Java library to reliably execute external processes from within the JVM
Name:           apache-commons-exec
Version:        1.3
Release:        4%{?dist}
License:        ASL 2.0
URL:            http://commons.apache.org/exec/
Source0:        http://www.apache.org/dist/commons/%{base_name}/source/%{short_name}-%{version}-src.tar.gz

BuildArch:      noarch
ExclusiveArch:  %{java_arches} noarch
BuildRequires:  maven-local mvn(junit:junit)
BuildRequires:  mvn(org.apache.commons:commons-parent:pom:)
BuildRequires:  mvn(org.apache.maven.plugins:maven-antrun-plugin)
# Tests
BuildRequires:  iputils

%description
Commons Exec is a library for executing external processes from Java.


%package javadoc
Summary:        Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.


%prep
%autosetup -n %{short_name}-%{version}-src
chmod a+x src/test/scripts/*.sh

%mvn_file :%{short_name} %{short_name} %{name}


%build
%mvn_build -- \
  -Dcommons.osgi.symbolicName=org.apache.commons.exec \
  -Dmaven.compiler.source=1.8 \
  -Dmaven.compiler.target=1.8 \
  -Dtest=\!org.apache.commons.exec.issues.Exec34Test,\!org.apache.commons.exec.issues.Exec41Test,\!org.apache.commons.exec.issues.Exec57Test,\!org.apache.commons.exec.issues.Exec60Test


%install
%mvn_install


%files -f .mfiles
%license LICENSE.txt NOTICE.txt
%doc STATUS RELEASE-NOTES.txt


%files javadoc -f .mfiles-javadoc
%license LICENSE.txt NOTICE.txt


%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3-4
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 25 2023 rockerzhu <rockerzhu@tencent.com> - 1.3-1
- Initial build.
